%define subrel 1

Name: task-cinnamon
Version: 2.0.0
Release: %mkrel 4
Epoch:   1
Summary: Metapackage for Cinnamon desktop environment
Group: Graphical desktop/Cinnamon
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal
Requires: nemo-seahorse
Requires: nemo-pastebin
Requires: nemo-rabbitvcs
Requires: nemo-fileroller
Requires: nemo-preview
Requires: nemo-python
Requires: nemo-terminal


%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running Cinnamon.

%package devel
Summary: Development package needed for Cinnamon desktop 
Requires: task-cinnamon
Requires: nemo-python-devel
Requires: cinnamon-control-center-devel
Requires: cinnamon-settings-daemon-devel
Requires: pkgconfig(cinnamon-desktop)
Requires: pkgconfig(libnemo-extension)
Requires: muffin-devel

%package minimal
Summary: Minimal dependencies needed for Cinnamon desktop 
Group: Graphical desktop/Cinnamon
Requires: cinnamon
Requires: cinnamon-desktop
Requires: cinnamon-session
Requires: cinnamon-control-center
Requires: cinnamon-screensaver
Requires: cinnamon-settings-daemon
Requires: cinnamon-translations
Requires: muffin
Requires: nemo
Suggests: pulseaudio
Suggests: mageiawelcome
Suggests: drakconf

# Note that cinnamon also requires mate-polkit but this is included
# as a requires in cinnamon since cinnamon functionality breaks without
# an authenticator

# like task-kde4, but suggests instead of requires
Suggests: task-x11 >= 1-2

%description devel
This package is a meta-package, meaning that its purpose is to contain
development dependencies for running a minimal Cinnamon desktop environment.

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Cinnamon desktop environment.

%files

%files minimal

%files devel



%changelog
* Wed Apr 30 2014 joequant <joequant> 1:2.0.0-4.1.mga4
+ Revision: 618957
- use subrel for version
- add pulseaudio as suggests to task-cinnamon

* Wed Jan 08 2014 joequant <joequant> 1:2.0.0-4.mga4
+ Revision: 565530
- move themes to meta-task
- fix 12223 - mageiawelcome and drakconf suggested
  suggest mate and gnome themes
  move nemo extensions to requires

* Sun Dec 22 2013 joequant <joequant> 1:2.0.0-3.mga4
+ Revision: 559966
- add nemo

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.0-2.mga4
+ Revision: 533635
- Mageia 4 Mass Rebuild

  + joequant <joequant>
    - add devel and nemo extensions

* Mon Sep 02 2013 joequant <joequant> 1:1.9.3-0.2.mga4
+ Revision: 474334
- change group and add new modules

* Fri Aug 23 2013 joequant <joequant> 1:1.9.3-0.1.mga4
+ Revision: 470205
- add new cinnamon apps

* Thu Jul 25 2013 joequant <joequant> 1:1.9.1-1.mga4
+ Revision: 458086
- update to 1.9.1
- imported package task-cinnamon

